summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2008-10-20 17:48:59 +1100
committerAndrew Bartlett <abartlet@samba.org>2008-10-20 20:07:09 +1100
commita55afef6d3dbd40b938e19c7c077e3b0ca535bcc (patch)
tree15ee9cda1a88a47963799f549d4b3a8e8bf88b24 /source4/script
parent85acd7eccca127ab701f1515a27747b8af089cab (diff)
downloadsamba-a55afef6d3dbd40b938e19c7c077e3b0ca535bcc.tar.gz
samba-a55afef6d3dbd40b938e19c7c077e3b0ca535bcc.tar.bz2
samba-a55afef6d3dbd40b938e19c7c077e3b0ca535bcc.zip
Rework mkrelease.sh to exclude Samba3 files
This matches my proposal to samba-technical, and should allow a Samba4 release to be made shortly. Andrew Bartlett
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/mkrelease.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/source4/script/mkrelease.sh b/source4/script/mkrelease.sh
index 0af738deb5..6a8c5ae2e7 100755
--- a/source4/script/mkrelease.sh
+++ b/source4/script/mkrelease.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-if [ ! -d ".git" -o `dirname $0` != "./source/script" ]; then
+if [ ! -d ".git" -o `dirname $0` != "./source4/script" ]; then
echo "Run this script from the top-level directory in the"
echo "repository as: ./source/script/mkrelease.sh"
exit 1
@@ -9,13 +9,23 @@ fi
TMPDIR=`mktemp -d samba-XXXXX`
(git archive --format=tar HEAD | (cd $TMPDIR/ && tar xf -))
-( cd $TMPDIR/source || exit 1
+#Prepare the tarball for a Samba4 release, with some generated files,
+#but without Samba3 stuff (to avoid confusion)
+( cd $TMPDIR/ || exit 1
+ rm -rf source3 packaging docs-xml examples swat WHATSNEW.txt MAINTAINERS || exit 1
+ cd source4 || exit 1
./autogen.sh || exit 1
./configure || exit 1
make dist || exit 1
) || exit 1
-VERSION=`sed -n 's/^SAMBA_VERSION_STRING=//p' $TMPDIR/source/version.h`
+VERSION_FILE=$TMPDIR/source4/version.h
+if [ ! -f $VERSION_FILE ]; then
+ echo "Cannot find version.h at $VERSION_FILE"
+ exit 1;
+fi
+
+VERSION=`sed -n 's/^SAMBA_VERSION_STRING=//p' $VERSION_FILE`
mv $TMPDIR samba-$VERSION || exit 1
tar -cf samba-$VERSION.tar samba-$VERSION || (rm -rf samba-$VERSION; exit 1)
rm -rf samba-$VERSION || exit 1